package model;

import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;

public abstract class CapteurAbstrait {
    private int id;
    private String nom;
    private ObjectProperty<Double> temp = new SimpleObjectProperty<>();

    CapteurAbstrait(int id, String nom){
        this.id = id;
        this.nom = nom;
        this.temp.setValue(0.0);
    }
    public abstract ObjectProperty<Double> genTemp();

    /* Getters - Setters */
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public ObjectProperty<Double> getTemp() {
        return temp;
    }

    public void setTemp(double pTemp) {
        this.temp.setValue(pTemp);
    }

}
