package view;

import javafx.application.Platform;
import javafx.beans.InvalidationListener;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.stage.Stage;
import model.Capteur;
import javafx.scene.input.MouseEvent;
import javafx.event.EventHandler;

import java.io.IOException;


public abstract class CapteurView extends FXMLView {
    @FXML
    Button myBtn;

    protected Capteur capteur;

    public CapteurView(Capteur capteur,String url, String title) throws IOException {
        super(url,title);
        this.setCapteur(capteur);
    }

    public void setCapteur(Capteur capteur) {
        this.capteur = capteur;
    }

}
